fix assemby.xml to add sh
authorfengyuanxing <feng.yuanxing@zte.com.cn>
Wed, 8 Feb 2017 09:00:49 +0000 (17:00 +0800)
committerfengyuanxing <feng.yuanxing@zte.com.cn>
Wed, 8 Feb 2017 09:00:57 +0000 (17:00 +0800)
Change-Id: I49ea151433ab2bffe1a1c43ec316adcd47b7cb8b
Issue-Id: GVNFM-26
Signed-off-by: fengyuanxing <feng.yuanxing@zte.com.cn>
res/assembly.xml
res/assembly/initDB.sh [new file with mode: 0644]

index e0338f4..f7cb6da 100644 (file)
                 <include>*.txt</include>
             </includes>
         </fileSet>
+        <fileSet>
+            <directory>assembly/dbscripts/mysql</directory>
+            <outputDirectory>/assembly/dbscripts/mysql</outputDirectory>
+            <includes>
+                <include>*.sql</include>
+            </includes>
+        </fileSet>
+               <fileSet>
+            <directory>assembly</directory>
+            <outputDirectory>/assembly</outputDirectory>
+            <includes>
+                <include>*.sh</include>
+            </includes>
+        </fileSet>
         <fileSet>
             <directory>.</directory>
             <outputDirectory>/</outputDirectory>
diff --git a/res/assembly/initDB.sh b/res/assembly/initDB.sh
new file mode 100644 (file)
index 0000000..f756643
--- /dev/null
@@ -0,0 +1,50 @@
+#!/bin/bash
+#
+# Copyright 2017 ZTE Corporation.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+
+DIRNAME=`dirname $0`
+HOME=`cd $DIRNAME/; pwd`
+user=$1
+password=$2
+port=$3
+host=$4
+echo "start create resource management db"
+sql_path=$HOME/../
+mysql -u$user -p$password -P$port -h$host <$sql_path/dbscripts/mysql/openo-gvnfm-vnfres-createdb.sql
+sql_result=$?
+if [ $sql_result != 0 ] ; then
+    echo "failed to create resource management database"
+    exit 1
+fi
+fileFlag=*createobj.sql
+location=$sql_path/dbscripts/mysql
+fileName=""
+for i in `ls $location`
+do
+    if [[ $i == ${fileFlag} ]];then
+        fileName=${i};
+        echo "start create table:${fileName}"
+        mysql -u$user -p$password -P$port -h$host <$sql_path/dbscripts/mysql/$fileName
+        sql_result=$?
+        if [ $sql_result != 0 ] ; then
+          echo "failed to init resource management table:${fileName}"
+          exit 1
+        fi
+    fi
+done
+echo "init resource management database success!"
+exit 0
+